-- Membuat Schema latihan
CREATE SCHEMA latihan;

-- Membuat Table hutan pada Schema latihan
CREATE TABLE latihan.hutan (
	id int8 NOT NULL,
	geom public.geometry(multipolygon, 4326) NULL,
	kawasan varchar(80) NULL,
	jml_satwa int8 NULL,
	CONSTRAINT hutan_pkey PRIMARY KEY (id)
);
CREATE INDEX sidx_hutan_geom ON latihan.hutan (geom);

-- Mempopulasikan sampel data
INSERT INTO latihan.hutan (id,geom,kawasan,jml_satwa) VALUES
	 (1,'SRID=4326;MULTIPOLYGON (((107.53997475439213 -6.775789885783124, 107.52439287063689 -6.765322708116576, 107.51980996365002 -6.74848372906366, 107.53103808576778 -6.748256171279015, 107.53149637646646 -6.73869864780009, 107.5550983474487 -6.724134440346981, 107.55670236489412 -6.711845550751932, 107.57365912074543 -6.704563099399402, 107.59817767312501 -6.712300700345929, 107.6128429754829 -6.707521608391218, 107.62865400458752 -6.7300512023208094, 107.6279665685395 -6.760771690528509, 107.63873639995856 -6.786711915900423, 107.62177964410725 -6.799909038347419, 107.6121555394349 -6.780340761751177, 107.59015758589807 -6.766232906489188, 107.5745757021428 -6.783071266705342, 107.53997475439213 -6.775789885783124)))','Hutan Tangkuban Burangrang',140000),
	 (2,'SRID=4326;MULTIPOLYGON (((107.67517051050396 -6.792627912119652, 107.70060564428094 -6.798316301408696, 107.72947795829805 -6.797406163645238, 107.76362061535002 -6.779430589994753, 107.7775984816599 -6.802866964368803, 107.79890899914872 -6.811513105184775, 107.77943164445463 -6.818111370968981, 107.77324472002242 -6.836768044373618, 107.77805677235852 -6.841545855861171, 107.76808894966216 -6.849395013804215, 107.76373518802464 -6.842569666390656, 107.75422565602697 -6.842683422980652, 107.74586185077597 -6.829487477883921, 107.73818548157303 -6.834720396254212, 107.75181962985886 -6.814243433074244, 107.73864377227171 -6.812195688614366, 107.73050911237004 -6.8199315662354385, 107.71813526350556 -6.817997608535247, 107.71412521989211 -6.8252783498298255, 107.70621970533978 -6.813788379505505, 107.68846094076578 -6.808441467732887, 107.67517051050396 -6.792627912119652)))','Hutan Bukittunggul Lembah Tengkorak',423980),
	 (3,'SRID=4326;MULTIPOLYGON (((107.68341974308022 -6.836768044373618, 107.69751218206478 -6.836199254109303, 107.70908402220657 -6.843024692588018, 107.7235201792151 -6.849053748752221, 107.72959253097267 -6.857357795679303, 107.72844680422598 -6.863955428424224, 107.73726890017565 -6.865092942070826, 107.74826787694407 -6.868732967466469, 107.75651710952039 -6.875216693691543, 107.75525681009897 -6.891709984257895, 107.74712215019734 -6.88863886324455, 107.73898749029571 -6.886932676309816, 107.73360257458614 -6.88408901778222, 107.73325885656213 -6.874079204259002, 107.72718650480456 -6.8704392197823445, 107.72168701642036 -6.863045415549621, 107.71515637396413 -6.864637936938431, 107.70874030418256 -6.854513960278862, 107.70140765300359 -6.85394519116244, 107.69762675473946 -6.847119908846326, 107.68823179541643 -6.842569666390656, 107.68112828958681 -6.8409770712852165, 107.67860769074407 -6.837678107388364, 107.68341974308022 -6.836768044373618)))','Hutan Patahan Lembang Manglayang',520930),
	 (4,'SRID=4326;MULTIPOLYGON (((107.37957300985265 -7.125738455830645, 107.37980215520197 -7.1075480549646874, 107.37384437611908 -7.107320670393024, 107.33466052138162 -7.11095881003527, 107.32503641670922 -7.116188585278114, 107.30647564341253 -7.123237318479596, 107.30097615502832 -7.1537047882470635, 107.27599931195002 -7.174621575875341, 107.28287367243028 -7.149384897391152, 107.24758528863158 -7.149157533582618, 107.22833707928685 -7.180305319590133, 107.19946476526977 -7.179395925367564, 107.21206775948359 -7.148930169660922, 107.20565168970201 -7.132332297954719, 107.20267280016056 -7.120508789444465, 107.19831903852304 -7.103000342157086, 107.24139836419937 -7.0704828867180805, 107.27072896891514 -7.067299236417056, 107.29524752129475 -7.064797781508575, 107.318849492277 -7.077532320002791, 107.33488966673093 -7.070255483852679, 107.36903232378289 -7.079806307773539, 107.40798703317107 -7.082989871820616, 107.40065438199213 -7.123009941680113, 107.37957300985265 -7.125738455830645)))','Hutan Mekarharum',3948600),
	 (5,'SRID=4326;MULTIPOLYGON (((107.91898116220398 -6.945621971355752, 107.88827568539214 -6.938570542701132, 107.86856918534873 -6.939935343589638, 107.86490285975925 -6.915595801178421, 107.90660731333952 -6.909453849154187, 107.92150176104676 -6.928561882012853, 107.9382293715487 -6.933338769317373, 107.95518612740001 -6.918553008861633, 107.96435194137374 -6.938343075501728, 107.9783298076836 -6.940845208650277, 107.99001622050004 -6.96290889732302, 107.97328860999805 -6.984516658879215, 107.94670774947438 -6.974963876701838, 107.9347921913086 -6.974508977449962, 107.93616706340465 -6.956995020567516, 107.91943945290267 -6.951081069327128, 107.91898116220398 -6.945621971355752)))','Hutan Gunung Masigit',230900),
	 (6,'SRID=4326;MULTIPOLYGON (((107.48085525426191 -7.142109199405506, 107.5042280798948 -7.159843510190526, 107.52622603343167 -7.135515498104538, 107.54364107998165 -7.166664215448691, 107.51270645782047 -7.163253875575324, 107.50858184153232 -7.173939521858953, 107.51591449271127 -7.185761646731793, 107.50468637059348 -7.215770273711647, 107.50468637059348 -7.276463450566336, 107.48085525426191 -7.2775999488273255, 107.48177183565927 -7.253278258356682, 107.49964517290795 -7.215088281528696, 107.46916884144545 -7.200084193668197, 107.4563367018823 -7.214860950572679, 107.48200098100861 -7.243958383628126, 107.47558491122703 -7.250550510104113, 107.44350456231915 -7.218725561293241, 107.44992063210073 -7.193263989575869, 107.46206533561586 -7.1737121702930535, 107.43204729485204 -7.168483052945722, 107.41027848666454 -7.168483052945722, 107.39950865524544 -7.147338619040706, 107.43800507393495 -7.1498396246687035, 107.44350456231915 -7.140972361134607, 107.4868130333448 -7.134378643449139, 107.48085525426191 -7.142109199405506)))','Hutan Gunung Tilu Dewata',549050);
